Subject: Ticket Assigned - Follow up # 1608636
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 25 Oct 2020 06:31:34 +0000

Hi Ezzaldeen Mahyoub,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Follow up # 1608636 Dear splash team,

I was surprised to receive this message “We’ve cancelled your return for order # 9606812336 , Lace Padded Demi Bra with Hips...  as requested by you. Please reach out to us for anything further.”

WICH I DID NOT REQUEST. 

I reached you over the phone last week. Thanks to your staff Farah. She raised my complaint and the following is the reference number 1608636. 

Kindly update me with my concern. 

Thanks
Areen

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1615272